ARM Technical Support Knowledge Articles

Why does "RealView ICE Update" fail when I attempt to upgrade my RVI firmware?

Applies to: RealView ICE and Trace (RVI / RVT)

Answer

The RealView ICE software consists of two components, firmware and host-side software. The firmware implements the core specific debug support while the software installed on your host machine provides utilities for configuring and upgrading the RVI unit.

You will get the following error message when trying to upgrade your RVI firmware using out-of-date host-side software (RVI Update):

"An error has occurred while writing to the RealView ICE. Please reconnect and repeat component installation. The RealView ICE will now reboot."

RVI firmware has a dependency on the version of the update utility supplied with the RVI host-side software. Refer to the table below to determine which version of the RVI software you need. 

 Firmware:  Software (Update utility):
 v1.4  v1.2 or later
 v1.4.1  v1.2 or later
 v1.7  v1.4 or later

It is strongly recommended that users of older versions of RVI upgrade both their host-side software and firmware. Downloads of v3.0 host-side software and v1.7 firmware are available from the RealView ICE Downloads page.

RealView-ICE Downloads

Article last edited on: 2010-02-10 13:39:45

Rate this article

[Bad]
|
|
[Good]
Disagree? Move your mouse over the bar and click

Did you find this article helpful? Yes No

How can we improve this article?

Link to this article
Copyright © 2011 ARM Limited. All rights reserved. External (Open), Non-Confidential